Change log for ktorrent package in Ubuntu

175 of 143 results
Published in eoan-release 20 hours ago
Published in disco-release on 2019-03-16
Deleted in disco-proposed (Reason: moved to release)
ktorrent (5.1.1-1build1) disco; urgency=medium

  * No-change rebuild against libkf5syndication5abi1.

 -- Rik Mills <email address hidden>  Sat, 16 Mar 2019 18:05:14 +0000
Superseded in disco-release on 2019-03-16
Published in cosmic-release on 2018-09-04
Deleted in cosmic-proposed (Reason: moved to release)
ktorrent (5.1.1-1) unstable; urgency=medium

  * Team upload.
  * New upstream release:
    - fixes build with Qt >= 5.11 (Closes: #907328)
  * Update the patches:
    - upstream_QTimer-may-not-be-an-incomplete-type-as-it-is-used-a.patch:
      drop, backported from upstream
  * Remove the libkf5service-dev build dependency, no more needed.
  * Update Vcs-* fields.
  * Bump Standards-Version to 4.2.1, no changes required.

 -- Pino Toscano <email address hidden>  Tue, 04 Sep 2018 07:31:46 +0200

Available diffs

Superseded in cosmic-release on 2018-09-04
Deleted in cosmic-proposed on 2018-09-06 (Reason: moved to release)
ktorrent (5.1.0-3) unstable; urgency=medium

  * Team upload.
  * Backport the upstream commit 672c5076de7e3a526d9bdbb484a69e9386bc49f8 to
    include <QTimer> where needed; patch
    upstream_QTimer-may-not-be-an-incomplete-type-as-it-is-used-a.patch.
    (Closes: #897113)
  * Switch Vcs-* fields to salsa.debian.org.
  * Bump the debhelper compatibility to 11:
    - bump the debhelper build dependency to 11~
    - bump compat to 11
    - remove --parallel for dh, as now done by default
  * Switch from dh_install to dh_missing for --fail-missing.
  * Remove trailing whitespaces in changelog.
  * Bump Standards-Version to 4.1.4, no changes required.
  * Switch watch file to https.

 -- Pino Toscano <email address hidden>  Sat, 28 Apr 2018 18:08:38 +0200

Available diffs

Superseded in cosmic-release on 2018-05-05
Published in bionic-release on 2017-10-24
Published in artful-release on 2017-09-05
Deleted in artful-proposed (Reason: moved to release)
ktorrent (5.1.0-2) unstable; urgency=medium

  * Team upload.
  * Upload to unstable.

 -- Pino Toscano <email address hidden>  Tue, 05 Sep 2017 21:06:30 +0200
Superseded in artful-release on 2017-09-05
Deleted in artful-proposed on 2017-09-07 (Reason: moved to release)
ktorrent (5.1.0-0ubuntu1) artful; urgency=medium

  * New upstream release (5.1.0)

 -- Rik Mills <email address hidden>  Fri, 01 Sep 2017 01:17:58 +0100

Available diffs

Superseded in artful-release on 2017-09-01
Deleted in artful-proposed on 2017-09-02 (Reason: moved to release)
ktorrent (5.0.90-0ubuntu1) artful; urgency=medium

  * New upstream RC release (5.0.90)
  * wrap-and-sort
  * Add plasma-workspace-dev to build depends
  * Install additional built files due to last change
  * Build depend on libkf5syndication-dev

 -- Rik Mills <email address hidden>  Mon, 21 Aug 2017 11:00:26 +0100
Superseded in artful-release on 2017-08-25
Obsolete in zesty-release on 2018-06-22
Obsolete in yakkety-release on 2018-01-23
Deleted in yakkety-proposed on 2018-06-22 (Reason: moved to release)
ktorrent (4.3.1-5) unstable; urgency=medium

  * Team upload.
  * Remove ktorrent-dbg in favour of the -dbgsym packages.
  * Bump Standards-Version to 3.9.8, no changes required.
  * Update watch file.

 -- Pino Toscano <email address hidden>  Tue, 07 Jun 2016 16:47:22 +0200

Available diffs

Superseded in yakkety-release on 2016-06-08
Published in xenial-release on 2016-03-27
Deleted in xenial-proposed (Reason: moved to release)
ktorrent (4.3.1-4) unstable; urgency=medium

  * Team upload.
  * Remove obsolete and unused installgen file.
  * Update Vcs-* fields.
  * Drop menu file and its pixmap, since ktorrent already provides a .desktop
    file.
  * Remove the README.Debian file, since all the information it contains are
    long obsolete.
  * Restore the krosspython suggest in ktorrent, removed in 4.3.1-3.
  * Backport upstream commit e22c887b55ec5e83db959c3b98d448947c886cc0 to fix
    build with GCC 6; patch
    upstream_webinterface-rename-major-minor-to-major_version-min.patch.
    (Closes: #811942)
  * Link in as-needed mode.
  * Remove manual CPPFLAGS handling, no more needed in debhelper compat 9.
  * Remove extra libsoprano-dev build dependency, which was added as workaround
    for a bug in kdelibs5-dev.
  * Replace kubuntu_magnet-mimetype.diff with part of the upstream commit
    f090d11e8837d944dedb40f873713abe4e15d4b4; patch
    upstream_Properly-support-x-scheme-handler-magnet-mimetype-an.patch.

 -- Pino Toscano <email address hidden>  Sun, 14 Feb 2016 17:34:29 +0100
Superseded in xenial-release on 2016-03-27
Obsolete in wily-release on 2018-01-22
Deleted in wily-proposed on 2018-01-22 (Reason: moved to release)
ktorrent (4.3.1-2ubuntu4) wily; urgency=medium

  * No change rebuild for the libstdc++6 follow-up transitions.

 -- Matthias Klose <email address hidden>  Tue, 11 Aug 2015 11:38:38 +0000

Available diffs

Superseded in wily-release on 2015-08-11
Obsolete in vivid-release on 2018-01-18
Deleted in vivid-proposed on 2018-01-19 (Reason: moved to release)
ktorrent (4.3.1-2ubuntu3) vivid; urgency=medium

  * Remove build-dep on kde-workspace, no longer in archive
  * Remove shutdown plugin from .install file which required kde-workspace
 -- Jonathan Riddell <email address hidden>   Mon, 17 Nov 2014 16:32:22 +0100

Available diffs

Superseded in vivid-release on 2014-11-17
Obsolete in utopic-release on 2016-11-03
Deleted in utopic-proposed on 2016-11-03 (Reason: moved to release)
ktorrent (4.3.1-2ubuntu2) utopic; urgency=medium

  * Remove build-dep on nepomuk
 -- Jonathan Riddell <email address hidden>   Tue, 12 Aug 2014 19:19:51 +0200

Available diffs

Superseded in utopic-release on 2014-08-12
Published in trusty-release on 2014-03-15
Deleted in trusty-proposed (Reason: moved to release)
ktorrent (4.3.1-2ubuntu1) trusty; urgency=medium

  * Add kubuntu_magnet-mimetype.diff to open magnet links
 -- Jonathan Riddell <email address hidden>   Tue, 04 Mar 2014 19:02:49 +0000
Superseded in trusty-release on 2014-03-15
Deleted in trusty-proposed on 2014-03-17 (Reason: moved to release)
ktorrent (4.3.1-2) unstable; urgency=low


  * Do not build tests like before KDE 4.10. Fixes FTBFS (Closes: #722628)
  * Do not link with deprecated kutils library. (Closes: #717010)
    Patch: dont_link_with_kutils.patch
  * Build with hardening flags. (Closes: #663524)
  * Bump Standards-Version to 3.9.5: no further changes needed.
  * Update Vcs URLs to canonical ones.
  * Upload to unstable. (Closes: #721049)
  * Disable KIO Magnet. It is considered obsolete (and might be buggy).
  * Require nepomuk-core-dev for KDE 4.9 or above (requirement of
    kdepimlibs).

 -- Modestas Vainius <email address hidden>  Tue, 05 Nov 2013 21:27:06 +0200

Available diffs

Superseded in trusty-release on 2013-11-06
Obsolete in saucy-release on 2015-04-24
Obsolete in raring-release on 2015-04-24
Deleted in raring-proposed on 2015-04-27 (Reason: moved to release)
ktorrent (4.3.1-1) experimental; urgency=low


  * New upstream release.
  * Bump dependency on libktorrent to 1.3.1.

 -- Modestas Vainius <email address hidden>  Sun, 27 Jan 2013 11:51:28 +0200

Available diffs

Superseded in raring-release on 2013-02-05
Deleted in raring-proposed on 2013-02-06 (Reason: moved to release)
ktorrent (4.3.0-1) experimental; urgency=low


  * New upstream release.
  * Require libktorrent 1.3.0 for building.
  * Require Qt 4.7 and KDE Platform 4.7 for building.
  * Bump Standards-Version to 3.9.4: no changes needed.

 -- Modestas Vainius <email address hidden>  Sun, 30 Sep 2012 01:03:59 +0300

Available diffs

Superseded in raring-release on 2013-01-06
Obsolete in quantal-release on 2015-04-24
ktorrent (4.2.1-1) unstable; urgency=low


  * New upstream release.
  * Require libktorrent 1.2.1 for building.
  * Drop unused override menu-icon-missing.

 -- Modestas Vainius <email address hidden>  Thu, 21 Jun 2012 22:11:37 +0300
Superseded in quantal-release on 2012-06-22
Superseded in quantal-release on 2012-06-15
ktorrent (4.2.0-1build1) quantal; urgency=low

  * No-change rebuild against libkworkspace4abi2
 -- Jonathan Thomas <email address hidden>   Sat, 09 Jun 2012 18:19:59 -0400
Superseded in quantal-release on 2012-06-09
ktorrent (4.2.0-1) unstable; urgency=low


  * New upstream release.
  * Bump Standards-Version to 3.9.3: no changes needed.
  * Require libktorrent 1.2.0 to build.
  * Build depend on debhelper 9 as lintian insists.
  * Enable kio-magnet (pass -DENABLE_KIO_MAGNET=1 to cmake).

 -- Modestas Vainius <email address hidden>  Sat, 10 Mar 2012 22:55:41 +0200
Superseded in quantal-release on 2012-05-06
Published in precise-release on 2011-12-31
ktorrent (4.1.3-1ubuntu1) precise; urgency=low

  * Add debian/patches/plasma_applet_remove_taskmanager.diff :
    Remove the dependency on taskmanager, it fixes a FTBFS.
    Patch imported from upstream bug 287309. (LP: #908460)
 -- Romain Perier <email address hidden>   Sat, 31 Dec 2011 19:05:11 +0100

Available diffs

Superseded in precise-release on 2011-12-31
ktorrent (4.1.3-1) unstable; urgency=low

  * New upstream release.
  * Bump debhelper compat level to 9 and require debhelper 8.9.0 in order to
    gain transparent support for dpkg-buildflags in dh/dh_auto_*.
  * Reorder dh options in compat=8 compatible way.
 -- Jonathan Riddell <email address hidden>   Thu,  08 Dec 2011 17:14:24 +0000

Available diffs

Superseded in precise-release on 2011-10-16
Obsolete in oneiric-release on 2015-04-24
ktorrent (4.1.1-2ubuntu5) oneiric; urgency=low

  * No-change rebuild to stop desktop file stripping (LP: #851953)
 -- Harald Sitter <email address hidden>   Fri, 16 Sep 2011 17:38:36 +0200

Available diffs

Superseded in precise-release on 2011-12-08
ktorrent (4.1.2-1) unstable; urgency=low


  * New upstream release.
  * Add krosspython to ktorrent Suggests.
  * Require libktorrent-dev 1.1.2.

 -- Modestas Vainius <email address hidden>  Thu, 18 Aug 2011 01:15:58 +0300
Superseded in oneiric-release on 2011-09-16
ktorrent (4.1.1-2ubuntu4) oneiric; urgency=low

  * Move krosspython from Recommends to Suggests to save CD space (will seed
    directly for the DVD)
 -- Scott Kitterman <email address hidden>   Fri, 22 Jul 2011 18:19:49 -0400

Available diffs

Superseded in oneiric-release on 2011-07-22
ktorrent (4.1.1-2ubuntu3) oneiric; urgency=low

  * Build depend on kde-workspace-dev instead of kdebase-workspace-dev
  * Rebuild for libtaskmanager transition
 -- Scott Kitterman <email address hidden>   Wed, 20 Jul 2011 19:19:49 -0400

Available diffs

Superseded in oneiric-release on 2011-07-21
ktorrent (4.1.1-2ubuntu2) oneiric; urgency=low

  * No change rebuild for libtaskmanager transition
 -- Scott Kitterman <email address hidden>   Sun, 05 Jun 2011 23:49:29 -0400

Available diffs

Superseded in oneiric-release on 2011-06-06
ktorrent (4.1.1-2ubuntu1) oneiric; urgency=low

  * Merge from debian unstable. Remaining changes: (LP: #790265)
    - debian/rules:
      + Add export KUBUNTU_DESKTOP_POT=extragear-network_ktorrent
    - debian/control:
      + ktorrent recommends krosspython

Available diffs

Superseded in oneiric-release on 2011-05-31
Obsolete in natty-release on 2013-06-04
ktorrent (4.0.5-3ubuntu1) natty; urgency=low

  * Merge from debian unstable.  Remaining changes: (LP: #716639)
    - debian/control:
      + ktorrent recommends krosspython
      + Build against libboost1.42-dev
      + Bump Build-Depends on kdebase-workspace-dev (>= 4:4.5.2-0ubuntu3)
        for transition libtaskmanager4a -> libtaskmanager4b
      + Update other Build-Depends
    - debian/rules:
      + Add export KUBUNTU_DESKTOP_POT=extragear-network_ktorrent
  * Drop debian-changes-4.0.4-0ubuntu3, merged upstream

Available diffs

Superseded in natty-release on 2011-02-11
ktorrent (4.0.4-0ubuntu3) natty; urgency=low

  * Make sure ktorrent compiles and works with new solid powermanagement API
    introduced in KDE 4.6beta2 (4.5.85)
    - Cherry pick from ktorrent git: 34b12bc53bf5826318623f6ae72c238eac5fc886
 -- Scott Kitterman <email address hidden>   Tue, 14 Dec 2010 09:16:32 -0500

Available diffs

Superseded in natty-release on 2010-12-14
ktorrent (4.0.4-0ubuntu2) natty; urgency=low

  * Rebuild against kdebase-workspace-dev (>= 4:4.5.2-0ubuntu3) for
    libtaskmanager4a -> libtaskmanager4b
 -- Alessandro Ghersi <email address hidden>   Sun, 24 Oct 2010 06:40:28 +0200

Available diffs

Superseded in natty-release on 2010-10-24
ktorrent (4.0.4-0ubuntu1) natty; urgency=low

  * New upstream release
    - Bump build-dependencies
    - Build against libktorrent-dev 1.0.4
    - Build against libboost1.42-dev
 -- Alessandro Ghersi <email address hidden>   Sat, 23 Oct 2010 23:59:52 +0200

Available diffs

Superseded in natty-release on 2010-10-23
Obsolete in maverick-release on 2013-03-05
ktorrent (4.0.3-0ubuntu1) maverick; urgency=low

  * New upstream bugfix release
    - Bump libktorrent-dev build dependency to 1.0.3
 -- Alessandro Ghersi <email address hidden>   Fri, 03 Sep 2010 05:12:03 +0200

Available diffs

Superseded in maverick-release on 2010-09-03
ktorrent (4.0.2-1ubuntu2) maverick; urgency=low

  * Add export KUBUNTU_DESKTOP_POT=extragear-network_ktorrent
 -- Jonathan Riddell <email address hidden>   Mon, 26 Jul 2010 16:58:55 +0100

Available diffs

Superseded in maverick-release on 2010-07-26
ktorrent (4.0.2-1ubuntu1) maverick; urgency=low

  * Merge with Debian unstable, remaining changes
    - ktorrent recommends krosspython
    - kept Replaces and Conflicts on plasma-applet-ktorrent

Available diffs

Superseded in maverick-release on 2010-07-19
ktorrent (4.0.1-1ubuntu1) maverick; urgency=low

  * Merge with Debian unstable, remaining change:
    - ktorrent recommends krosspython
 -- Alessandro Ghersi <email address hidden>   Wed, 16 Jun 2010 20:18:28 +0200

Available diffs

Superseded in maverick-release on 2010-06-16
ktorrent (4.0.0-1ubuntu2) maverick; urgency=low

  * Rebuild for libsolidcontrol4 -> libsolidcontrol4a transition
 -- Alessandro Ghersi <email address hidden>   Sat, 12 Jun 2010 04:06:20 +0200

Available diffs

Superseded in maverick-release on 2010-06-13
ktorrent (4.0.0-1ubuntu1) maverick; urgency=low

  * Merge with Debian, remaining change:
    - Keep recommends on krosspython
 -- Michal Zajac <email address hidden>   Sun, 30 May 2010 13:37:37 +0200
Superseded in maverick-release on 2010-06-08
Obsolete in lucid-release on 2016-10-26
ktorrent (3.3.4+dfsg.1-1ubuntu2) lucid; urgency=low

  * Recommend krosspython (LP: #546719)
 -- Harald Sitter <email address hidden>   Thu, 08 Apr 2010 22:09:59 +0200
Superseded in lucid-release on 2010-04-10
Superseded in lucid-release on 2010-03-09
ktorrent (3.3.4+dfsg.1-1ubuntu1) lucid; urgency=low

  * Merge with Debian, remaining changes:
    - Used versioned boost build-depend
    - Include /usr/lib/kubuntu-desktop-i18n/debhelper/kubuntu.mk in
      debian/rules for translations support
    - Add kubuntu_01_fix_videowidget_include.diff to fix FTBS
 -- Alessandro Ghersi <email address hidden>   Sun, 28 Feb 2010 23:22:08 +0100
Superseded in lucid-release on 2010-03-03
Superseded in lucid-release on 2010-02-10
ktorrent (3.3.3+dfsg.1-1ubuntu1) lucid; urgency=low

  * Merge with Debian Unstable, remaining changes:
    - Used versioned boost build-depend
    - Include /usr/lib/kubuntu-desktop-i18n/debhelper/kubuntu.mk in
      debian/rules for translations support
 -- Jonathan Thomas <email address hidden>   Mon, 18 Jan 2010 20:31:37 -0500
Superseded in lucid-release on 2010-01-19
ktorrent (3.3.2+dfsg.1-1ubuntu1) lucid; urgency=low

  * Merge with Debian Unstable, remaining changes:
    - Used versioned boost build-depend
    - Include /usr/lib/kubuntu-desktop-i18n/debhelper/kubuntu.mk in
      debian/rules for translations support
 -- Jonathan Thomas <email address hidden>   Mon, 28 Dec 2009 09:46:17 -0500
Superseded in lucid-release on 2009-12-28
ktorrent (3.3.1+dfsg.1-1ubuntu1) lucid; urgency=low

  * Merge with Debian Testing remaining changes:
    - Build-depend directly on libboost-serialization1.40-dev since
      libboost-serialization-dev from boost-defaults is not in Main
    - Add in rules: include /usr/lib/kubuntu-desktop-i18n/debhelper/kubuntu.mk
    - Don't use dpkg-source 3.0 format
    - Add quilt to build-depends
 -- Alessandro Ghersi <email address hidden>   Tue, 08 Dec 2009 19:17:41 +0100
Superseded in lucid-release on 2009-12-12
Obsolete in karmic-release on 2013-03-04
ktorrent (3.2.4+dfsg.1-1ubuntu1) karmic; urgency=low

  * Merge from Debian unstable, remaining changes:
    - Build-depend directly on libboost-serialization1.38-dev since
      libboost-serialization-dev from boost-defaults is not in Main
    - Add KUBUNTU_DESKTOP_POT to rules
    - Drop libphonon-dev
    - Build with our rules file for now, we haven't debhelper 7.3.16 in archive
      and keep pkg-kde-tools >= 0.4.11

Superseded in karmic-release on 2009-10-19
ktorrent (3.2.3.1+dfsg.1-1ubuntu1) karmic; urgency=low

  * Merge from debian unstable, remaining changes: (LP: #414520)
    - Build-depend directly on libboost-serialization1.38-dev since
      libboost-serialization-dev from boost-defaults is not in Main
    - Add KUBUNTU_DESKTOP_POT to rules
    - Drop libphonon-dev

Superseded in karmic-release on 2009-08-19
ktorrent (3.2.2+dfsg.2-1ubuntu2) karmic; urgency=low

  * Build-depend directly on libboost-serialization1.38-dev since
    libboost-serialization-dev from boost-defaults is not in Main

 -- Scott Kitterman <email address hidden>   Mon, 10 Aug 2009 00:13:14 -0400
Superseded in karmic-release on 2009-08-10
ktorrent (3.2.2+dfsg.2-1ubuntu1) karmic; urgency=low

  * Merge from debian unstable, remaining changes:
    - Add debian/patches, debian/patches/series, and
      debian/patches/kubuntu_02_qt_phonon.diff since Kubuntu uses the Qt
      Phonon instead of KDE Phonon

Superseded in karmic-release on 2009-08-10
ktorrent (3.2.2+dfsg.1-0ubuntu2) karmic; urgency=low

  * Switch boost build-dep to libboost-serialization1.38-dev

 -- Scott Kitterman <email address hidden>   Wed, 29 Jul 2009 13:42:52 -0400
Superseded in karmic-release on 2009-07-29
ktorrent (3.2.2+dfsg.1-0ubuntu1) karmic; urgency=low

  * New upstream bugfix release
  * Fixed debian/rules:
    - using pkg-kde-tools kde.mk
  * Droped patch kubuntu_01_call_front_on_empty_qlist.diff:
    - merged upstream
  * Bump Strandards-Version to 3.8.1

 -- Anthony Mercatante <email address hidden>   Tue, 02 Jun 2009 02:00:27 +0200
Superseded in karmic-release on 2009-06-02
ktorrent (3.2.1+dfsg.1-0ubuntu4) karmic; urgency=low

  * Update build-deps for libqt4-phonon-dev
  * Patch plugins to support new phonon

 -- <email address hidden> (Roderick B. Greening)   Sun, 24 May 2009 21:24:15 -0230
Superseded in karmic-release on 2009-05-26
Obsolete in jaunty-release on 2013-02-28
ktorrent (3.2.1+dfsg.1-0ubuntu3) jaunty; urgency=low

  * Add kubuntu_01_call_front_on_empty_qlist.diff to prevent a crash when
    starting downloads (Upstream patch, KDE bug 189268) (LP: #359008)

 -- Jonathan Thomas <email address hidden>   Fri, 17 Apr 2009 09:03:48 -0400
Superseded in jaunty-release on 2009-04-20
ktorrent (3.2.1+dfsg.1-0ubuntu2) jaunty; urgency=low

  * Add KUBUNTU_DESKTOP_POT

 -- Jonathan Riddell <email address hidden>   Wed, 08 Apr 2009 15:27:31 +0100
Superseded in jaunty-release on 2009-04-08
ktorrent (3.2.1+dfsg.1-0ubuntu1) jaunty; urgency=low

  * New upstream release (LP: #356230):
    - Add libtag1-dev to build-depends

 -- Jonathan Thomas <email address hidden>   Mon, 06 Apr 2009 08:32:32 -0400
Superseded in jaunty-release on 2009-04-07
ktorrent (3.2+dfsg.1-2ubuntu1) jaunty; urgency=low

  * Merge with Debian, remaining changes: (LP: #296433)
    - Use Kubuntu's kde4.mk
    - Build-depend on libboost-serialization1.35-dev since unversioned -dev is
      in universe
    - Change plasma-applet-ktorrent to plasma-widget-ktorrent since we're
      supposed to call them widgets for the users

Obsolete in intrepid-updates on 2013-02-20
Obsolete in intrepid-security on 2013-02-20
ktorrent (3.1.2+dfsg.1-0ubuntu2.1) intrepid-security; urgency=low

  * SECURITY UPDATE: access restrictions bypass in torrent upload feature
    of web interface plugin
    - debian/patches/10_SECURITY_CVE-2008-5905.diff: redirect to login page if
      session is not valid in plugins/webinterface/httpserver.cpp.
    - CVE-2008-5905
  * SECURITY UPDATE: arbitrary php code execution in web interface plugin
    - debian/patches/11_SECURITY_CVE-2008-5906.diff: check for string
      delimiters with a new containsDelimiters() function in
      plugins/webinterface/php_handler.{cpp,h}.
    - CVE-2008-5906

 -- Marc Deslauriers <email address hidden>   Tue, 20 Jan 2009 11:38:25 -0500
Obsolete in hardy-updates on 2015-04-24
Obsolete in hardy-security on 2015-04-24
ktorrent (2.2.5-0ubuntu1.1) hardy-security; urgency=low

  * SECURITY UPDATE: access restrictions bypass in torrent upload feature
    of web interface plugin
    - debian/patches/11_SECURITY_CVE-2008-5905.patch: redirect to login page if
      session is not valid in plugins/webinterface/httpserver.cpp.
    - CVE-2008-5905
  * SECURITY UPDATE: arbitrary php code execution in web interface plugin
    - debian/patches/12_SECURITY_CVE-2008-5906.patch: check for string
      delimiters with a new containsDelimiters() function in
      plugins/webinterface/php_handler.{cpp,h}.
    - CVE-2008-5906

 -- Marc Deslauriers <email address hidden>   Tue, 20 Jan 2009 11:29:43 -0500
Obsolete in gutsy-updates on 2011-09-16
Obsolete in gutsy-security on 2011-09-16
ktorrent (2.2.1-0ubuntu3.1) gutsy-security; urgency=low

  * SECURITY UPDATE: access restrictions bypass in torrent upload feature
    of web interface plugin
    - debian/patches/11_SECURITY_CVE-2008-5905.patch: redirect to login page if
      session is not valid in plugins/webinterface/httpserver.cpp.
    - CVE-2008-5905
  * SECURITY UPDATE: arbitrary php code execution in web interface plugin
    - debian/patches/12_SECURITY_CVE-2008-5906.patch: check for string
      delimiters with a new containsDelimiters() function in
      plugins/webinterface/php_handler.{cpp,h}.
    - CVE-2008-5906

 -- Marc Deslauriers <email address hidden>   Tue, 20 Jan 2009 11:24:17 -0500
Superseded in jaunty-release on 2009-02-18
ktorrent (3.1.5+dfsg.1-1ubuntu1) jaunty; urgency=low

  * Merge with Debian, remaining changes:
   - Use Kubuntu's kde4.mk
   - Add replaces/conflicts on ktorrent-kde4

 -- Jonathan Riddell <email address hidden>   Thu, 11 Dec 2008 20:27:09 +0000
Superseded in jaunty-release on 2008-12-11
ktorrent (3.1.4+dfsg.1-1ubuntu1) jaunty; urgency=low

  * Merge with Debian, remaining changes:
   - Use Kubuntu's kde4.mk
   - Add replaces/conflicts on ktorrent-kde4

Superseded in jaunty-release on 2008-11-20
Obsolete in intrepid-release on 2013-02-20
ktorrent (3.1.2+dfsg.1-0ubuntu2) intrepid; urgency=low

  * Add kubuntu_01_fix_infinite_dns_lookups_in_upd.diff from upstream SVN
    (LP: #285807)

 -- Harald Sitter <email address hidden>   Mon, 20 Oct 2008 16:37:42 +0200
Superseded in intrepid-release on 2008-10-22
ktorrent (3.1.2+dfsg.1-0ubuntu1) intrepid; urgency=low

  * New upstream release (LP: #255171)

 -- Jonathan Thomas (The man) <email address hidden>   Tue, 05 Aug 2008 20:23:04 -0400
Superseded in intrepid-release on 2008-08-06
ktorrent (3.1.1+dfsg.1-0ubuntu1) intrepid; urgency=low

  * New upstream release
  * Updated standards version to 3.8.0
  * Added Conflicts/Replaces ktorrent-kde4 in debian/control
  * Updated paths in ktorrent.install   libbtcore.so to 7.0.0
					libktcore.so to 6.1.0
					libktupnp.so to 3.2.0

 -- Richard Birnie <email address hidden>   Mon, 21 Jul 2008 16:50:47 +0000
Superseded in intrepid-release on 2008-07-21
ktorrent (3.1~rc1+dfsg.1-1ubuntu2) intrepid; urgency=low

  * Suggest -dbg package, not recommend.  Recommends are installed
    on the CD by default now

 -- Jonathan Riddell <email address hidden>   Thu, 17 Jul 2008 15:10:19 +0100
Superseded in intrepid-release on 2008-07-17
ktorrent (3.1~rc1+dfsg.1-1ubuntu1) intrepid; urgency=low

  * New upstream development release
   - Dropped 01_support_external_libbtcore.diffm,
     97_fix_target_link_libraries.diff,
     99_libbtcore_scramble_soname.diff

Superseded in intrepid-release on 2008-06-07
ktorrent (2.2.6.dfsg.1-1ubuntu1) intrepid; urgency=low

  * Merge from debian unstable, remaining changes:
    - kubuntu_03_remove_nasty_search_engines.patch still present in debian/patches
    - (LP #227462)

Obsolete in feisty-backports on 2009-08-20
ktorrent (2.2.5-0ubuntu1~feisty1) feisty-backports; urgency=low

  * Automated backport upload; no source changes.

Obsolete in gutsy-backports on 2011-09-16
ktorrent (2.2.5-0ubuntu1~gutsy1) gutsy-backports; urgency=low

  * Automated backport upload; no source changes.

Superseded in intrepid-release on 2008-05-09
Obsolete in hardy-release on 2015-04-24
ktorrent (2.2.5-0ubuntu1) hardy; urgency=low

  * New upstream release
   - Numerous bugfixes, notably to DHT and webui
  * Added a watchfile to track 2.x.x series

 -- John Dong <email address hidden>   Sun, 27 Jan 2008 17:26:13 -0500
Superseded in feisty-backports on 2008-02-05
ktorrent (2.2.4-0ubuntu1~feisty1) feisty-backports; urgency=low

  * Automated backport upload; no source changes.

Superseded in gutsy-backports on 2008-02-05
ktorrent (2.2.4-0ubuntu1~gutsy1) gutsy-backports; urgency=low

  * Automated backport upload; no source changes.

Superseded in hardy-release on 2008-01-27
ktorrent (2.2.4-0ubuntu1) hardy; urgency=low

  * New upstream release
  * Drop kubuntu_04_revert_threaded_filelist, included upstream

 -- John Dong <email address hidden>   Wed, 21 Nov 2007 14:28:35 -0500
Superseded in hardy-release on 2007-11-21
ktorrent (2.2.3-0ubuntu3) hardy; urgency=low

  * Adopt better approach from upstream for filelist (LP: #163426)
   - kubuntu_04_revert_threaded_filelist.patch: Switch to fix
    in r738262 using more responsive QTimers approach

 -- John Dong <email address hidden>   Sun, 18 Nov 2007 12:19:26 -0500
Superseded in hardy-release on 2007-11-19
ktorrent (2.2.3-0ubuntu2) hardy; urgency=low

  * kubuntu_04_revert_threaded_filelist.patch: Revert svn revno 728567
    due to crashes. (LP: #163426)

 -- John Dong <email address hidden>   Sat, 17 Nov 2007 16:46:47 -0500
Superseded in hardy-release on 2007-11-18
ktorrent (2.2.3-0ubuntu1) hardy; urgency=low

  * New upstream release
  * kubuntu_03_remove_nasty_search_engines.patch: rebase against 2.2.3
  * Add kdebase-kio-plugins to Recommends, needed for IP Filters plugin
    (LP: #150062)

 -- John Dong <email address hidden>   Fri, 16 Nov 2007 02:11:41 -0500
Superseded in hardy-release on 2007-11-16
ktorrent (2.2.2-0ubuntu2) hardy; urgency=low

  * Reuploaded as the buildd seems to be fixed

 -- Anthony Mercatante <email address hidden>   Mon, 12 Nov 2007 14:16:59 +0100
Superseded in hardy-release on 2007-11-12
ktorrent (2.2.2-0ubuntu1) hardy; urgency=low

  * New upstream release
  * Removed upstream_01_fix_exit_crash.patch, merged upstream

 -- Anthony Mercatante <email address hidden>   Sat, 10 Nov 2007 11:22:05 +0100
Obsolete in dapper-backports on 2011-09-06
ktorrent (2.2.1-0ubuntu3~dapper1) dapper-backports; urgency=low

  * Automated backport upload; no source changes.

175 of 143 results